function [P] = ControlAlgorithm(P)
% This function correspond to Algorithm 1

e_k = P.p_ESPin_SP - P.p(3);    
dU_k = P.k_p*1e-5*(e_k - P.e_kPrevious + (P.dt/P.tauI)*e_k); 
[P.q_min, P.q_max] = DynamicSaturationLimits(P);
[P.fRef, P.IsSaturated] = UpdateF_ESP(P.f, dU_k,P.x(3), P.q_min, P.q_max);
[P.z_cRef] = UpdateZ_c(P.z_c, dU_k, P.x(3),P.q_min, P.q_max,P.IsSaturated);

P.e_kPrevious = e_k; % Store current error as previous error
end

