function [q_min, q_max] = DynamicSaturationLimits(P)
% This function correspond to Algorithm 2

% q_min
p0Downthrust = P.L12(2);
p1Downthrust = P.L12(1);
qDownthrust = (P.p(7)*(1e-5)-p0Downthrust)/(p1Downthrust*3600);
q_min = qDownthrust;

% q_max
p0Upthrust = P.L34(2);
p1Upthrust = P.L34(1);
qUpthrust = (P.p(7)*(1e-5)-p0Upthrust)/(p1Upthrust*3600);
q_max= qUpthrust;



end

