function [M] = WaterFeedControl(M)
% This function is used to ensure a water cut above 70%. Since 
% the water cut during simulation is above 70%, the water flow into the
% manifold is zero.

if M.avrWC < 71
    M.q_wv = ((71-M.avrWC)/(100-71))*M.q;
    M.q = M.q + M.q_wv;
    M.avrWC = (M.q*M.avrWC + M.q_wv*100)/(M.q + M.q_wv);
else
    M.q_wv = 0;
end

end

