%% Example 3.1

%% Approximation of ESP Head-Flow characteristic
H0poly = [-3.56e7, 1.88e6, -3.68e4, 17,21];
q0 = 0:0.001:0.04;
H0 = polyval(H0poly,q0);
f0 = 40;

%% Expand the characteristic to other frequencies by use of affinity laws
f1 = 45;
f2 = 35;
q1 = q0*(f1/f0);
q2 = q0*(f2/f0);
H1 = H0*(f1/f0)^2;
H2 = H0*(f2/f0)^2;

%% Draw figure
figure; hold on;
plot(q1,H1,'.-k');
plot(q0,H0,'k');
plot(q2,H2,'--k');
hold off;
axis([0 max(q1) 0 max(H1)]);
h = legend('$f = 45Hz$','$f = 40Hz$','$f = 35Hz$');
set(h,'Interpreter','latex'),
title('Head-Flow characteristics','Interpreter','LaTex');
xlabel('q $\left[\frac{m^3}{s}\right]$','Interpreter','LaTex'); ylabel('H $[m]$','Interpreter','LaTex')
















