function [Gf_TL] = TLFriction(M)
% This function calculates the friction 
% in the transportation line
rho = M.rho;
rAvg = M.rAvg;

B0 = 5.752218216772682e+06;         % Friction constant B_0 
B1 = 3.903249155428134e+07;         % Friction constant B_1 

% Reynold's number:
Re = (2*rho*M.q_bp)/(rAvg*pi*M.avrMU);


% Darcy's friction factor:
fric = 0.36*Re.^(-0.25);

% Pressure loss due to friction:
Gf_TL = (B0 + B1*fric).*M.q_bp.^2*rho/2;


end

