function [M,varargout] = UpdateManifold(M,varargin)
% This function updates the manifold pressure and
% flow

Nwells = nargin-1;
M.q = 0;
M.avrWC = 0;

%% Calculate total flow into the manifold and update manifold pressure
%  for each well (P.p(6))
for i=1:Nwells
    P = varargin{i};
    M.q = M.q + P.q_c;
    P.p(6) = M.p; 
    varargout{i} = P;
end

%% Calculate average water cut in the manifold
for i=1:Nwells
    P = varargin{i};
    M.avrWC = M.avrWC + (P.q_c/M.q)*P.WC; 
end

%% Control the water supplied water based on calculated WC
M = WaterFeedControl(M);

end

