function [ Gf ] = Friction(P)
% This is the friction model. 

% Reynold's number:
Re(1) = (2*P.rho1*P.x(3))/(P.r1*pi*P.mu_1);
Re(2) = (2*P.rho2*P.x(3))/(P.r2*pi*P.mu_2);

% Darcy's friction factor:
fric = 0.36*Re.^(-0.25);

% Pressure loss due to friction:
Gf(1) = (P.B0_1 + P.B1_1*fric(:,1)).*P.x(3).^2*P.rho1/2;
Gf(2) = (P.B0_2 + P.B1_2*fric(:,2)).*P.x(3).^2*P.rho2/2;



end

