function [ pOut_c ] = choke( P )
% Calculates the output pressure from the choke
if P.z_c > 100
    P.z_c = 100;
end
G_c = ChokeCharacteristics(P.z_c);
   
pIn_c = P.p(5);
q = P.x(3);

if (q > 0)
    pOut_c = pIn_c - (q/(P.k*G_c))^2;
else
    pOut_c = pIn_c + (q/(P.k*G_c))^2;
end

end

