function [ dx,P ] = DiffEquations(x,P)
% This function represent the differential 
% eguations(3.34) - (3.36) and (3.39) - (3.40)

dx = zeros(5,1);
Gf = Friction(P);
%% dx(1)
q_r = P.PI*(P.p(1) - x(1));
dx(1) = (P.beta1/P.V1)*(q_r - x(3));


%% dx(2)
q_c   = P.k*ChokeCharacteristics(P.z_c)*sign(x(2)-P.p(6))*sqrt(abs(x(2)-P.p(6)));
dx(2) = (P.beta2/P.V2)*(x(3) - q_c);



 %% dx(3)
dp    = dpESP(x(3), P.f, P);
dx(3) = (P.A_bar/(P.rho_bar*P.l_bar))*(P.x(1) - P.x(2) - Gf(1)...
        -Gf(2) - P.rho1*P.g*(P.h_r-P.h_p) - P.rho2*P.g*(P.h_p-P.h_c)+2.5*dp); 

df = (P.fRef - P.f)/P.dt;
if abs(df) > P.dfMAX
   dx(4) = sign(df)*P.dfMAX;
else
   dx(4) = df;
end

dz = (P.z_cRef - P.z_c)/P.dt;
if abs(dz) > P.dzMAX
   dx(5) = sign(dz)*P.dzMAX;
else
   dx(5) = dz;
end

end

