function [ P ] = PressureProfile( P )
% This function updates the Well pressure profile

Gf = Friction(P);
P.Gf = Gf;

%% Calculate pressure profiles               
P.p(2) = P.x(1);
P.p(3) = P.x(1) - P.rho1*P.g*(P.h_r-P.h_p) - Gf(1);
P.p(4) = P.x(2) + P.rho2*P.g*(P.h_p-P.h_c) + Gf(2);
P.p(5) = P.x(2);
P.p(6) = choke(P);
P.p(7) = dpESP(P.x(3), P.f, P);
end

