function [P] = SingleWellInit(P)
%% This function set up initial states, pressure and flow profile

% Initial pressure profile 
P.p =  1.0e+007*[0.9800, 0.7705, 0.5712, 1.9389, 0.9999, 0.8302, 1.3677];

% Initial states
P.x = zeros(1,3);
P.x(1) = P.p(2);
P.x(3) = P.PI*(P.p(1)-P.x(1));
P.x(2) = P.p(6)+(P.x(3)/P.k*ChokeCharacteristics(P.z_c))^2;

%% Initialize flow profile
P.q   = P.x(3); 
P.q_r = P.x(3);
P.q_p = P.x(3);
P.q_c = P.x(3);
end
