function [ P ] = SolveDiffEqWell( P, Tsolver)
% This function solves the well differential
% equation


xExtended = [P.x P.f P.z_c];
A = ode4(@(t, x,P) DiffEquations(xExtended,P),Tsolver, xExtended, P)';       
P.x = A(1:3,end);                 
P.f = A(4,end);
P.z_c = A(5,end);

if P.f < 1
    P.f = 1;
end

if P.z_c < 0
    P.z_c = 0;
end

if P.x(3) <= 0
    P.x(3) = 0.00001;
end

end

