%% Scenario01:  Step-change in pressure set-point
%% Case 02:     Dynamic saturation active

% Control objective
P1.p_ESPin_SP = 30e5;
P2.p_ESPin_SP = 30e5;

%% Short pre-simulation to obtain desired initial state
h = waitbar(0,'Initializing. Please wait...(1/2)');
M.fRef = 60; 
for i = 1:Ninit/dt
    P1 = ControlAlgorithm(P1);
    P2 = ControlAlgorithm(P2);
    simulation;
    waitbar(i / (Ninit/dt))
 end
close(h);


%% Main simulation loop
h = waitbar(0,'Simulating. Please wait...(2/2)'); 
for i = 1:size(Tsim,2)
    
   % Change set-point after 20 sec
   if i == floor(20/dt)
        P1.p_ESPin_SP = 5e5;
   end
 
    % Control
    P1 = ControlAlgorithm(P1);
    P2 = ControlAlgorithm(P2);
    
    %% Simulate
    simulation;   
    
    %% Store 
    saveData;
    waitbar(i / size(Tsim,2));
end
close(h)


