%% Scenario02: Start-up/shut-down of one well
%% Case 01: Start-up of main well

% Control objective
 P1.p_ESPin_SP = 30e5;
 P2.p_ESPin_SP = 40e5;
 

% Short pre-simulation to obtain desired initial state
h = waitbar(0,'Initializing. Please wait...(1/2)');
P1 = ShutDown(P1);P1.dzMAX = 5; P1.dfMAX = 5;
M.fRef = 50;
for i = 1:Ninit/dt
    P2 = ControlAlgorithm(P2);  
    simulation;
    waitbar(i / (Ninit/dt))
end
P1.dzMAX = 0.1667; P1.dfMAX = 0.25;
close(h);


% Main simulation loop
h = waitbar(0,'Simulating. Please wait...(2/2)'); 
enableControl = 0; once = 1;
for i = 1:size(Tsim,2)
    
   % Start-up well 2 after 20 sec
    if i == floor(20/dt)
        P1.fRef = 35;
        P1.z_cRef = 20;
        P1.dfMAX = 5;
    elseif P1.f >= 34.9 && once
        once = 0;
        P1.dfMAX = 0.25;
        enableControl = 1;
    end
    
    

    %% Control
    P2 = ControlAlgorithm(P2);
    if enableControl
        P1 = ControlAlgorithm(P1);
    end
    
    %% Simulate
    simulation;   
    
    %% Store 
    saveData;
    waitbar(i / size(Tsim,2))
end
close(h)