%% Scenario02: Start-up/shut-down of one well
%% Case 02: Shut-down of main well. Control engaged after start-up is
%% complete

% Control objective
 P1.p_ESPin_SP = 45e5;
 P2.p_ESPin_SP = 40e5;

% Short pre-simulation to obtain desired initial state
h = waitbar(0,'Initializing. Please wait...(1/2)');
M.fRef = 45;
 for i = 1:Ninit/dt
    P1 = ControlAlgorithm(P1);
    P2 = ControlAlgorithm(P2);
    simulation;
    waitbar(i / (Ninit/dt))
 end
close(h);


% Main simulation loop
h = waitbar(0,'Simulating. Please wait...(2/2)');
disableControl = 0;
for i = 1:size(Tsim,2)
    
   % Start-up well 2 after 20 sec
    if i == floor(20/dt)
        P1.fRef = 1;
        P1.z_cRef = 1;
        disableControl = 1;
    end
     

    %% Control
    if ~disableControl
        P1 = ControlAlgorithm(P1);
    end
    P2 = ControlAlgorithm(P2);

    P1.e_kPrevious = P1.p_ESPin_SP - P1.p(3);
    
    %% Simulate
    simulation;   
    
    %% Store 
    saveData;
    waitbar(i / size(Tsim,2))
end
close(h)