%% Scenario03: ESP tripping
%% Case 01: ESP tripping in main well

% Control objective
P1.p_ESPin_SP = 50e5;
P2.p_ESPin_SP = 50e5;
enableControl = 1;

% Short pre-simulation to obtain desired initial state
h = waitbar(0,'Please wait...(1/2)');
M.fRef = 45;
 for i = 1:Ninit/dt
    P1 = ControlAlgorithm(P1);
    P2 = ControlAlgorithm(P2);
    simulation;
    waitbar(i / (Ninit/dt))
 end
close(h);


% Main simulation loop
h = waitbar(0,'Please wait...(2/2)'); 
for i = 1:size(Tsim,2)
    
   % Start-up well 2 after 20 sec
    if i == floor(20/dt)
        P1.fRef = 1;
        P1.dfMAX = 5;
        enableControl = 0;
    end

    %% Control
    if enableControl
        P1 = ControlAlgorithm(P1);
    end
    P2 = ControlAlgorithm(P2);
    P1.e_kPrevious = P1.p_ESPin_SP - P1.p(3);
    %% Simulate
    simulation;   
    
    %% Store 
    saveData;
    waitbar(i / size(Tsim,2));
end
close(h)


