%% Scenario04:  Start-up/Shut-down of Booster Pump
%% Case 01:     Start-up of booster pump

% Control objective
P1.p_ESPin_SP = 10e5;
P2.p_ESPin_SP = 40e5;
enableESPControl = 1;

% Short pre-simulation to obtain desired initial state
h = waitbar(0,'Initializing. Please wait...(1/2)');
M.fRef = 1;M.dfMAX = 5;
 for i = 1:Ninit/dt
    P1 = ControlAlgorithm(P1);
    P2 = ControlAlgorithm(P2);
    simulation;
    waitbar(i / (Ninit/dt))
 end
close(h);


% Main simulation loop
once = 1;
h = waitbar(0,'Simulating. Please wait...(2/2)'); 
for i = 1:size(Tsim,2)
    
   % Start-up BP after 20 sec
   if i == floor(20/dt)
        M.dfMAX = 5;
        M.fRef = 35;
        
   elseif M.f >34.9 && once
        once = 0;
        M.dfMAX = 0.25;
        M.fRef = 56;
   end
 
    % Control
    P1 = ControlAlgorithm(P1);
    P2 = ControlAlgorithm(P2);
    
    %% Simulate
    simulation;   
    
    %% Store 
    saveData;
    waitbar(i / size(Tsim,2));
end
close(h)


